DataNodeVolumeMetrics (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.datanode.fsdataset, class: DataNodeVolumeMetrics

Package org.apache.hadoop.hdfs.server.datanode.fsdataset

# Class DataNodeVolumeMetrics

java.lang.Object
org.apache.hadoop.hdfs.server.datanode.fsdataset.DataNodeVolumeMetrics

@Private @Evolving @Metrics(name="DataNodeVolume", about="DataNode Volume metrics", context="dfs") public class DataNodeVolumeMetrics extends Object
This class is for maintaining Datanode Volume IO related statistics and publishing them through the metrics interfaces.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataNodeVolumeMetrics(org.apache.hadoop.metrics2.MetricsSystem metricsSystem, String volumeName, int[] intervals)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDataFileIoLatency(long latency)`
  `void`
  `addFileIoError(long latency)`
  `void`
  `addFlushIoLatency(long latency)`
  `void`
  `addMetadataOperationLatency(long latency)`
  `void`
  `addNativeCopyIoLatency(long latency)`
  `void`
  `addReadIoLatency(long latency)`
  `void`
  `addSyncIoLatency(long latency)`
  `void`
  `addTransferIoLatency(long latency)`
  `void`
  `addWriteIoLatency(long latency)`
  `static DataNodeVolumeMetrics`
  `create(org.apache.hadoop.conf.Configuration conf, String volumeName)`
  `double`
  `getDataFileIoMean()`
  `long`
  `getDataFileIoSampleCount()`
  `double`
  `getDataFileIoStdDev()`
  `double`
  `getFileIoErrorMean()`
  `long`
  `getFileIoErrorSampleCount()`
  `double`
  `getFileIoErrorStdDev()`
  `double`
  `getFlushIoMean()`
  `long`
  `getFlushIoSampleCount()`
  `double`
  `getFlushIoStdDev()`
  `double`
  `getMetadataOperationMean()`
  `long`
  `getMetadataOperationSampleCount()`
  `double`
  `getMetadataOperationStdDev()`
  `double`
  `getNativeCopyIoMean()`
  `org.apache.hadoop.metrics2.lib.MutableQuantiles[]`
  `getNativeCopyIoQuantiles()`
  `long`
  `getNativeCopyIoSampleCount()`
  `double`
  `getNativeCopyIoStdDev()`
  `double`
  `getReadIoMean()`
  `long`
  `getReadIoSampleCount()`
  `double`
  `getReadIoStdDev()`
  `double`
  `getSyncIoMean()`
  `long`
  `getSyncIoSampleCount()`
  `double`
  `getSyncIoStdDev()`
  `long`
  `getTotalDataFileIos()`
  `long`
  `getTotalFileIoErrors()`
  `long`
  `getTotalMetadataOperations()`
  `double`
  `getTransferIoMean()`
  `org.apache.hadoop.metrics2.lib.MutableQuantiles[]`
  `getTransferIoQuantiles()`
  `long`
  `getTransferIoSampleCount()`
  `double`
  `getTransferIoStdDev()`
  `String`
  `getVolumeName()`
  `double`
  `getWriteIoMean()`
  `long`
  `getWriteIoSampleCount()`
  `double`
  `getWriteIoStdDev()`
  `String`
  `name()`
  `void`
  `unRegister()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataNodeVolumeMetrics

    public DataNodeVolumeMetrics(org.apache.hadoop.metrics2.MetricsSystem metricsSystem, String volumeName, int[] intervals)

- ## Method Details

  - ### getVolumeName

    @Metric(value={"VolumeName","Current VolumeName"}, type=TAG) public String getVolumeName()

  - ### getTotalMetadataOperations

    public long getTotalMetadataOperations()

  - ### getMetadataOperationSampleCount

    public long getMetadataOperationSampleCount()

  - ### getMetadataOperationMean

    public double getMetadataOperationMean()

  - ### getMetadataOperationStdDev

    public double getMetadataOperationStdDev()

  - ### getTotalDataFileIos

    public long getTotalDataFileIos()

  - ### getDataFileIoSampleCount

    public long getDataFileIoSampleCount()

  - ### getDataFileIoMean

    public double getDataFileIoMean()

  - ### getDataFileIoStdDev

    public double getDataFileIoStdDev()

  - ### getFlushIoSampleCount

    public long getFlushIoSampleCount()

  - ### getFlushIoMean

    public double getFlushIoMean()

  - ### getFlushIoStdDev

    public double getFlushIoStdDev()

  - ### getSyncIoSampleCount

    public long getSyncIoSampleCount()

  - ### getSyncIoMean

    public double getSyncIoMean()

  - ### getSyncIoStdDev

    public double getSyncIoStdDev()

  - ### getReadIoSampleCount

    public long getReadIoSampleCount()

  - ### getReadIoMean

    public double getReadIoMean()

  - ### getReadIoStdDev

    public double getReadIoStdDev()

  - ### getWriteIoSampleCount

    public long getWriteIoSampleCount()

  - ### getWriteIoMean

    public double getWriteIoMean()

  - ### getWriteIoStdDev

    public double getWriteIoStdDev()

  - ### getTransferIoSampleCount

    public long getTransferIoSampleCount()

  - ### getTransferIoMean

    public double getTransferIoMean()

  - ### getTransferIoStdDev

    public double getTransferIoStdDev()

  - ### getTransferIoQuantiles

    public org.apache.hadoop.metrics2.lib.MutableQuantiles[] getTransferIoQuantiles()

  - ### getNativeCopyIoSampleCount

    public long getNativeCopyIoSampleCount()

  - ### getNativeCopyIoMean

    public double getNativeCopyIoMean()

  - ### getNativeCopyIoStdDev

    public double getNativeCopyIoStdDev()

  - ### getNativeCopyIoQuantiles

    public org.apache.hadoop.metrics2.lib.MutableQuantiles[] getNativeCopyIoQuantiles()

  - ### getTotalFileIoErrors

    public long getTotalFileIoErrors()

  - ### getFileIoErrorSampleCount

    public long getFileIoErrorSampleCount()

  - ### getFileIoErrorMean

    public double getFileIoErrorMean()

  - ### getFileIoErrorStdDev

    public double getFileIoErrorStdDev()

  - ### create

    public static DataNodeVolumeMetrics create(org.apache.hadoop.conf.Configuration conf, String volumeName)

  - ### name

    public String name()

  - ### unRegister

    public void unRegister()

  - ### addMetadataOperationLatency

    public void addMetadataOperationLatency(long latency)

  - ### addDataFileIoLatency

    public void addDataFileIoLatency(long latency)

  - ### addSyncIoLatency

    public void addSyncIoLatency(long latency)

  - ### addFlushIoLatency

    public void addFlushIoLatency(long latency)

  - ### addReadIoLatency

    public void addReadIoLatency(long latency)

  - ### addWriteIoLatency

    public void addWriteIoLatency(long latency)

  - ### addTransferIoLatency

    public void addTransferIoLatency(long latency)

  - ### addNativeCopyIoLatency

    public void addNativeCopyIoLatency(long latency)

  - ### addFileIoError

    public void addFileIoError(long latency)